View Issue Details

IDProjectCategoryView StatusLast Update
0026632mantisbtapi restpublic2020-05-02 11:51
Reportergthomas Assigned Tocommunity  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026632: Support user password reset via REST API
Description

PR https://github.com/mantisbt/mantisbt/pull/1599

TagsNo tags attached.

Relationships

related to 0026880 closeddregad Impossible to reset user's password 
related to 0026881 closedvboctor Documentation for REST API /users/{id}/reset missing 
related to 0026884 resolveddregad Misleading e-mail notification following password reset by admin 
related to 0026885 closeddregad Resetting password for protected user via REST API should fail 
related to 0026929 assigneddregad Support user account unlock via REST API 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master cbded1e5

2020-02-02 10:52:14

gthomas


Committer: GitHub Details Diff
Support user password reset via REST API

* add UserResetPasswordCommand as PUT /api/rest/users/:id/reset
* use UserResetPasswordCommand in manage_user_reset.php

Fixes 0026632
Affected Issues
0026632
mod - api/rest/restcore/users_rest.php Diff File
mod - api/rest/swagger.json Diff File
add - core/commands/UserResetPasswordCommand.php Diff File
mod - manage_user_reset.php Diff File

MantisBT: master-2.24 2c237c4e

2020-04-15 11:59:51

dregad

Details Diff
UserResetPasswordCommand now returns status code

The introduction of the command (see issue 0026632) broke the password
reset from the GUI (manage_user_reset.php), as some variables used in
the program were no longer initialized. As a result, it could only
unlock the account (i.e. reset the failed login count).

This commit changes the Command's process() method to return a status
code (RESET, UNLOCK or FAILURE, defined as class constants), which can
then be used by manage_user_reset.php to display an appropriate message.

Fixes 0026880
Affected Issues
0026632, 0026880
mod - core/commands/UserResetPasswordCommand.php Diff File
mod - manage_user_reset.php Diff File

MantisBT: master-2.24 0d5a7397

2020-05-02 11:48:14

dregad

Details Diff
UserResetPassword Command fixes

Merge PR https://github.com/mantisbt/mantisbt/pull/1655

Fixes 0026880, 0026885
See issue 0026632
Affected Issues
0026632, 0026880, 0026885
mod - api/rest/restcore/users_rest.php Diff File
mod - core/commands/UserResetPasswordCommand.php Diff File
mod - core/user_api.php Diff File
mod - manage_user_reset.php Diff File

Issue History

Date Modified Username Field Change
2020-01-28 07:25 gthomas New Issue
2020-01-28 08:06 dregad Assigned To => community
2020-01-28 08:06 dregad Severity minor => feature
2020-01-28 08:06 dregad Status new => assigned
2020-01-28 08:06 dregad Product Version 2.23.0 =>
2020-01-28 08:06 dregad Target Version => 2.23.1
2020-01-28 08:06 dregad Description Updated View Revisions
2020-01-28 08:11 dregad Target Version 2.23.1 => 2.24.0
2020-02-02 10:52 gthomas Changeset attached => MantisBT master cbded1e5
2020-02-02 11:06 dregad Status assigned => resolved
2020-02-02 11:06 dregad Resolution open => fixed
2020-02-02 11:06 dregad Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed
2020-04-14 12:14 dregad Relationship added related to 0026880
2020-04-14 13:27 dregad Issue cloned: 0026881
2020-04-14 13:27 dregad Relationship added related to 0026881
2020-04-15 18:35 dregad Relationship added related to 0026884
2020-04-15 20:10 dregad Issue cloned: 0026885
2020-04-15 20:10 dregad Relationship added related to 0026885
2020-05-02 11:27 dregad Issue cloned: 0026929
2020-05-02 11:27 dregad Relationship added related to 0026929
2020-05-02 11:51 dregad Changeset attached => MantisBT master-2.24 2c237c4e
2020-05-02 11:51 dregad Changeset attached => MantisBT master-2.24 0d5a7397